Package org.linphone.core

# Interface AccountListener

All Known Implementing Classes:
  `AccountListenerStub`

public interface AccountListener
An object to handle the callbacks for the handling of `Account` objects.

## Method Summary

Modifier and Type
Method
Description
`void`
`onConferenceInformationUpdated(Account account, ConferenceInfo[] infos)`
Gets the conference information updated callback.
`void`
`onMessageWaitingIndicationChanged(Account account, MessageWaitingIndication mwi)`
Gets the message waiting indication changed callback.
`void`
`onRegistrationStateChanged(Account account, RegistrationState state, String message)`
Gets the registration state changed callback.

## Method Details

### onRegistrationStateChanged

void onRegistrationStateChanged(@NonNull Account account, RegistrationState state, @NonNull String message)
Gets the registration state changed callback.

### onMessageWaitingIndicationChanged

void onMessageWaitingIndicationChanged(@NonNull Account account, @NonNull MessageWaitingIndication mwi)
Gets the message waiting indication changed callback.

### onConferenceInformationUpdated

void onConferenceInformationUpdated(@NonNull Account account, @NonNull ConferenceInfo[] infos)
Gets the conference information updated callback.